Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfTableCellElementBase

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.table.OdfTableCellElementBase

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfCoveredTableCellElement, OdfTableCellElement

    public abstract class OdfTableCellElementBase

extends OdfStylableElement

DOM implementation of OpenDocument base element

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfTableCellElementBase(OdfFileDom aOwnerDoc, OdfName aElementName, OdfStyleFamily aStyleFamily, OdfName aStyleAttrName)` Create the instance of OdfTableCellElementBase

Method Summary
`OdfAnyURI` | `getAbout()` Get value of attribute xhtml:about.
`OdfBoolean` | `getBooleanValue()` Get value of attribute office:boolean-value.
`String` | `getContent()` Get value of attribute xhtml:content.
`String` | `getContentValidationName()` Get value of attribute table:content-validation-name.
`String` | `getCurrency()` Get value of attribute office:currency.
`String` | `getDatatype()` Get value of attribute xhtml:datatype.
`OdfDate` | `getDateValue()` Get value of attribute office:date-value.
`String` | `getFormula()` Get value of attribute table:formula.
`OdfPositiveInteger` | `getNumberColumnsRepeated()` Get value of attribute table:number-columns-repeated.
`String` | `getProperty()` Get value of attribute xhtml:property.
`OdfBoolean` | `getProtect()` Get value of attribute table:protect.
`OdfBoolean` | `getProtected()` Get value of attribute table:protected.
`String` | `getStringValue()` Get value of attribute office:string-value.
`String` | `getStyleName()` Get value of attribute table:style-name.
`OdfDuration` | `getTimeValue()` Get value of attribute office:time-value.
`Double` | `getValue()` Get value of attribute office:value.
`OdfValueType` | `getValueType()` Get value of attribute office:value-type.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`void` | `init()` Initialization of the mandatory attributes of `OdfTableCellElementBase`
`void` | `setAbout(OdfAnyURI about)` Set value of attribute xhtml:about.
`void` | `setBooleanValue(OdfBoolean isBooleanValue)` Set value of attribute office:boolean-value.
`void` | `setContent(String content)` Set value of attribute xhtml:content.
`void` | `setContentValidationName(String contentValidationName)` Set value of attribute table:content-validation-name.
`void` | `setCurrency(String currency)` Set value of attribute office:currency.
`void` | `setDatatype(String datatype)` Set value of attribute xhtml:datatype.
`void` | `setDateValue(OdfDate dateValue)` Set value of attribute office:date-value.
`void` | `setFormula(String formula)` Set value of attribute table:formula.
`void` | `setNumberColumnsRepeated(OdfPositiveInteger numberColumnsRepeated)` Set value of attribute table:number-columns-repeated.
`void` | `setProperty(String property)` Set value of attribute xhtml:property.
`void` | `setProtect(OdfBoolean isProtect)` Set value of attribute table:protect.
`void` | `setProtected(OdfBoolean isProtected)` Set value of attribute table:protected.
`void` | `setStringValue(String stringValue)` Set value of attribute office:string-value.
`void` | `setStyleName(OdfStyleNameRef styleName)` Set value of attribute table:style-name.
`void` | `setTimeValue(OdfDuration timeValue)` Set value of attribute office:time-value.
`void` | `setValue(Double value)` Set value of attribute office:value.
`void` | `setValueType(OdfValueType valueType)` Set value of attribute office:value-type.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setAttributeNS, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getOdfName, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Constructor Detail

### OdfTableCellElementBase

    public OdfTableCellElementBase(OdfFileDom aOwnerDoc,
                                   OdfName aElementName,
                                   OdfStyleFamily aStyleFamily,
                                   OdfName aStyleAttrName)

  Create the instance of OdfTableCellElementBase

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom
    `aElement_name` - The type is OdfName
    `aStyleFamily` - The type is OdfStyleFamily
    `aStyleAttrName` - The type is OdfName

Method Detail

### init

    public void init()

  Initialization of the mandatory attributes of `OdfTableCellElementBase`

### getNumberColumnsRepeated

    public OdfPositiveInteger getNumberColumnsRepeated()

  Get value of attribute table:number-columns-repeated.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setNumberColumnsRepeated

    public void setNumberColumnsRepeated(OdfPositiveInteger numberColumnsRepeated)

  Set value of attribute table:number-columns-repeated.

  Parameters:
    `numberColumnsRepeated` - the attribute's type is OdfPositiveInteger

### getStyleName

    public String getStyleName()

  Get value of attribute table:style-name.

  Overrides:
    `getStyleName` in class `OdfStylableElement`
  Returns:
    return the attribute which type is String

### setStyleName

    public void setStyleName(OdfStyleNameRef styleName)

  Set value of attribute table:style-name.

  Parameters:
    `styleName` - the attribute's type is OdfStyleNameRef

### getContentValidationName

    public String getContentValidationName()

  Get value of attribute table:content-validation-name.

  Returns:
    return the attribute which type is String

### setContentValidationName

    public void setContentValidationName(String contentValidationName)

  Set value of attribute table:content-validation-name.

  Parameters:
    `contentValidationName` - the attribute's type is String

### getFormula

    public String getFormula()

  Get value of attribute table:formula.

  Returns:
    return the attribute which type is String

### setFormula

    public void setFormula(String formula)

  Set value of attribute table:formula.

  Parameters:
    `formula` - the attribute's type is String

### getValueType

    public OdfValueType getValueType()

  Get value of attribute office:value-type.

  Returns:
    return the attribute which type is OdfValueType

### setValueType

    public void setValueType(OdfValueType valueType)

  Set value of attribute office:value-type.

  Parameters:
    `valueType` - the attribute's type is OdfValueType

### getValue

    public Double getValue()

  Get value of attribute office:value.

  Returns:
    return the attribute which type is Double

### setValue

    public void setValue(Double value)

  Set value of attribute office:value.

  Parameters:
    `value` - the attribute's type is Double

### getCurrency

    public String getCurrency()

  Get value of attribute office:currency.

  Returns:
    return the attribute which type is String

### setCurrency

    public void setCurrency(String currency)

  Set value of attribute office:currency.

  Parameters:
    `currency` - the attribute's type is String

### getDateValue

    public OdfDate getDateValue()

  Get value of attribute office:date-value.

  Returns:
    return the attribute which type is OdfDate

### setDateValue

    public void setDateValue(OdfDate dateValue)

  Set value of attribute office:date-value.

  Parameters:
    `dateValue` - the attribute's type is OdfDate

### getTimeValue

    public OdfDuration getTimeValue()

  Get value of attribute office:time-value.

  Returns:
    return the attribute which type is OdfDuration

### setTimeValue

    public void setTimeValue(OdfDuration timeValue)

  Set value of attribute office:time-value.

  Parameters:
    `timeValue` - the attribute's type is OdfDuration

### getBooleanValue

    public OdfBoolean getBooleanValue()

  Get value of attribute office:boolean-value.

  Returns:
    return the attribute which type is OdfBoolean

### setBooleanValue

    public void setBooleanValue(OdfBoolean isBooleanValue)

  Set value of attribute office:boolean-value.

  Parameters:
    `isBooleanValue` - the attribute's type is OdfBoolean

### getStringValue

    public String getStringValue()

  Get value of attribute office:string-value.

  Returns:
    return the attribute which type is String

### setStringValue

    public void setStringValue(String stringValue)

  Set value of attribute office:string-value.

  Parameters:
    `stringValue` - the attribute's type is String

### getProtect

    public OdfBoolean getProtect()

  Get value of attribute table:protect.

  Returns:
    return the attribute which type is OdfBoolean

### setProtect

    public void setProtect(OdfBoolean isProtect)

  Set value of attribute table:protect.

  Parameters:
    `isProtect` - the attribute's type is OdfBoolean

### getProtected

    public OdfBoolean getProtected()

  Get value of attribute table:protected.

  Returns:
    return the attribute which type is OdfBoolean

### setProtected

    public void setProtected(OdfBoolean isProtected)

  Set value of attribute table:protected.

  Parameters:
    `isProtected` - the attribute's type is OdfBoolean

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getAbout

    public OdfAnyURI getAbout()

  Get value of attribute xhtml:about.

  Returns:
    return the attribute which type is OdfAnyURI

### setAbout

    public void setAbout(OdfAnyURI about)

  Set value of attribute xhtml:about.

  Parameters:
    `about` - the attribute's type is OdfAnyURI

### getProperty

    public String getProperty()

  Get value of attribute xhtml:property.

  Returns:
    return the attribute which type is String

### setProperty

    public void setProperty(String property)

  Set value of attribute xhtml:property.

  Parameters:
    `property` - the attribute's type is String

### getDatatype

    public String getDatatype()

  Get value of attribute xhtml:datatype.

  Returns:
    return the attribute which type is String

### setDatatype

    public void setDatatype(String datatype)

  Set value of attribute xhtml:datatype.

  Parameters:
    `datatype` - the attribute's type is String

### getContent

    public String getContent()

  Get value of attribute xhtml:content.

  Returns:
    return the attribute which type is String

### setContent

    public void setContent(String content)

  Set value of attribute xhtml:content.

  Parameters:
    `content` - the attribute's type is String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.